
QGIS Application - Bug report #11219

Couldn't load PyQGIS

2014-09-17 11:17 AM - Mikhail Tchernychev

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 19529

Description

This bug is just got back, I cannot use windows version anymore.

It seems it started with 2.5.0-77

Below is the message

Couldn't load PyQGIS.

Python support will be disabled.

Traceback (most recent call last):

  File "", line 1, in 

  File "C:/OSGeo4W/apps/qgis-dev/./python\\qgis\\__init__.py", line 36, in 

    from qgis.core import QgsFeature, QgsGeometry

  File "C:/OSGeo4W/apps/qgis-dev/./python\\qgis\\core\\__init__.py", line 1, in 

    from qgis._core import *

ImportError: dynamic module does not define init function (init_core)

Python version:

2.7.4 (default, Apr  6 2013, 19:54:46) [MSC v.1500 32 bit (Intel)]

QGIS version:

2.5.0-Master 'Master', 342ad2b

Python path:

['C:/OSGeo4W/apps/qgis-dev/./python', u'C:/Users/misha/.qgis2/python', u'C:/Users/misha/.qgis2/python/plugins',

'C:/OSGeo4W/apps/qgis-dev/./python/plugins', 'C:\\\\OSGeo4W\\\\bin\\\\python27.zip', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\DLLs',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\plat-win',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\lib-tk', 'C:\\\\OSGeo4W\\\\bin', 'C:\\\\OSGeo4W\\\\apps\\\\Python27',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\GDAL-1.11.0-py2.7-win32.egg',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\PIL',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\jinja2-2.7.2-py2.7.egg',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\markupsafe-0.23-py2.7-win32.egg',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\python_dateutil-2.2-py2.7.egg',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\pytz-2014.2-py2.7.egg',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32\\\\lib',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Pythonwin',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Shapely-1.2.18-py2.7-win32.egg',
'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\six-1.6.1-py2.7.egg',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode']

History

#1 - 2014-09-20 04:40 AM - Jürgen Fischer

- Status changed from Open to Closed

#2 - 2014-09-21 07:45 PM - Mikhail Tchernychev

Thank you very much!
